
Redmine - Defect #14188

Headers put inside blockquotes cause wiki 'edit this section' link point to incorrect section

2013-06-01 05:22 - Filipe Muniz

Status: Confirmed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.2.3

Description

When a given Header in a wiki page is put inside blockquotes, that one and all section edit links after it will point to the incorrect page

section:

To reproduce:

h1. Page Title

bla

h2. Page topic

bla

> h3. Page subtopic inside a blockquote (trying to edit this will, incorrectly, point to the next 

section)

>

> bla

h2. New page topic1 (trying to edit this will, incorrectly, point to the next section)

bla

h2. New page topic2 (trying to edit this will, incorrectly, point to the next section)

etc, etc.

Related issues:

Related to Redmine - Defect #16036: wiki edit pencil links are sometimes miss... New

History

#1 - 2013-06-01 05:26 - Filipe Muniz

BTW, here's my system details:

Redmine version                          2.2.3.stable

  Ruby version                             1.9.3 (x86_64-linux)

  Rails version                            3.2.12

  Environment                              production

  Database adapter                         Mysql2

#2 - 2017-06-06 04:29 - Go MAEDA

- Status changed from New to Confirmed

It is still reproducible in the latest trunk (3.3.3.devel.16608).

#3 - 2017-06-09 09:19 - Mischa The Evil

- Related to Defect #16036: wiki edit pencil links are sometimes missing, throwing off the other pencil edit links added
